Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SPUserNotice

    java.lang.Object
      org.bouncycastle.asn1.esf.SPUserNotice

    public class SPUserNotice

extends java.lang.Object

Constructor Summary
`SPUserNotice(ASN1Sequence seq)`
`SPUserNotice(NoticeReference noticeRef, DisplayText explicitText)`

Method Summary
`DisplayText` | `getExplicitText()`
`static SPUserNotice` | `getInstance(java.lang.Object obj)`
`NoticeReference` | `getNoticeRef()`
`DERObject` | `toASN1Object()` SPUserNotice ::= SEQUENCE { noticeRef NoticeReference OPTIONAL, explicitText DisplayText OPTIONAL }

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPUserNotice

    public SPUserNotice(ASN1Sequence seq)

### SPUserNotice

    public SPUserNotice(NoticeReference noticeRef,
                        DisplayText explicitText)

Method Detail

### getInstance

    public static SPUserNotice getInstance(java.lang.Object obj)

### getNoticeRef

    public NoticeReference getNoticeRef()

### getExplicitText

    public DisplayText getExplicitText()

### toASN1Object

    public DERObject toASN1Object()

       SPUserNotice ::= SEQUENCE {
           noticeRef NoticeReference OPTIONAL,
           explicitText DisplayText OPTIONAL }

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD